All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::cuda::mat_mult_matrix_index< LayoutT > Struct Template Reference

Helper struct for accessing an element of a row- or column-major matrix. More...

`#include <sparse_matrix_operations.hpp>`

## Static Public Member Functions

static __device__ unsigned int | apply (unsigned int i, unsigned int j, unsigned int row_start, unsigned int row_inc, unsigned int col_start, unsigned int col_inc, unsigned int internal_rows, unsigned int internal_cols)

## Detailed Description

### template<typename LayoutT>
struct viennacl::linalg::cuda::mat_mult_matrix_index< LayoutT >

Helper struct for accessing an element of a row- or column-major matrix.

Parameters

  LayoutT | The layout tag: Either row_major or column_major

Definition at line 403 of file sparse_matrix_operations.hpp.

## Member Function Documentation

template<typename LayoutT >

static __device__ unsigned int viennacl::linalg::cuda::mat_mult_matrix_index< LayoutT >::apply | ( | unsigned int | i,
|  | unsigned int | j,
|  | unsigned int | row_start,
|  | unsigned int | row_inc,
|  | unsigned int | col_start,
|  | unsigned int | col_inc,
|  | unsigned int | internal_rows,
|  | unsigned int | internal_cols
| ) |  |

inline static

Definition at line 405 of file sparse_matrix_operations.hpp.

The documentation for this struct was generated from the following file:

- viennacl/linalg/cuda/sparse_matrix_operations.hpp